Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 389 - lsof as distributed with 5.2 doesn't work
Summary: lsof as distributed with 5.2 doesn't work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lsof
Version: 5.2
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-11 15:36 UTC by J|rgen Christoffel
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-12-31 21:41:36 UTC


Attachments (Terms of Use)

Description J|rgen Christoffel 1998-12-11 15:36:39 UTC
lsof was compiled for an older kernel and doesn't work with
the one distributed with 5.2:

alice[2032]: lsof
lsof: WARNING: compiled for Linux release 2.0.34; this is
2.0.36.
lsof: kernel symbol address mismatch: get_options
      get_kernel_syms() value is 0x108d18; /boot/System.map
value is 0x108ce0.
      There were 416 additional mismatches.
      /boot/System.map and the booted kernel may not be a
matched set.

Comment 1 David Lawrence 1998-12-11 16:56:59 UTC
The command still listed open files as it was supposed to but it did
generate the reported warning of:

lsof: WARNING: compiled for Linux release 2.0.34; this is 2.0.36.

This has been assigned to a developer.

Comment 2 Jeff Johnson 1998-12-31 21:41:59 UTC
Fixed in dist-5.2.1/lsof-4.39-4.

However, lsof depends on the kernel version so intimately
that you are probably better off just picking up a lsof
src rpm and typing "rpm --rebuild lsof*.src.rpm" to build
your own version.


Note You need to log in before you can comment on or make changes to this bug.